byteswap.hpp File Reference

Contains functions to swap bytes in values (for different endianness). More...

`#include <cassert>`
`#include <cstdint>`
`#include <protozero/config.hpp>`
Include dependency graph for byteswap.hpp:

Go to the source code of this file.

## Namespaces

| protozero
| All parts of the protozero header-only library are in this namespace.

## Detailed Description

Contains functions to swap bytes in values (for different endianness).